from navycut import __version__ as version
from navycut import __author__ as author

from setuptools import setup,find_packages


with open("README.md", "r") as f:
    long_description = f.read()


setup(
    name="Navycut",
    version=version,
    url="https://github.com/navycut/navycut",
    license="MIT",
    author=author,
    author_email="aniketsarkar@yahoo.com",
    description="Fullstack web framework using flask",
    long_description=long_description,
    long_description_content_type="text/markdown",
    keywords=["flask", "django", "Navycut"],
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False,
    platforms="any",
    install_requires=[ 
        "alembic>=1.5.8",
        "asgiref>=3.3.4",
        "blinker>=1.4",
        "certifi>=2020.12.5",
        "chardet>=4.0.0",
        "click>=8.0.0",
        "colorama>=0.4.4",
        "dominate>=2.6.0",
        "Flask>=2.0.1",
        "Flask-Admin>=1.5.8",
        "Flask-Bootstrap>=3.3.7.1",
        "Flask-Cors>=3.0.10",
        "Flask-Login>=0.5.0",
        "Flask-Mail>=0.9.1",
        "Flask-Migrate>=2.7.0",
        "Flask-Script>=2.0.6",
        "Flask-SQLAlchemy>=2.5.1",
        "Flask-WTF>=0.15.1",
        "greenlet>=1.0.0",
        "h11>=0.12.0",
        "idna>=2.10",
        "itsdangerous>=2.0.1",
        "Jinja2>=3.0.1",
        "Mako>=1.1.4",
        "Markdown>=3.3.4",
        "MarkupSafe>=2.0.0",
        "munch>=2.5.0",
        "nc-console>=0.0.4",
        "Paste>=3.5.0",
        "Pillow>=8.2.0",
        "Pygments>=2.9.0",
        "pystache>=0.5.4",
        "python-dateutil>=2.8.1",
        "python-dotenv>=0.17.1",
        "python-editor>=1.0.4",
        "PyYAML>=5.4.1",
        "requests>=2.25.1",
        "six>=1.15.0",
        "smartypants>=2.0.1",
        "SQLAlchemy>=1.4.11",
        "SQLAlchemy-JSONField>=1.0.0",
        "urllib3>=1.26.4",
        "uvicorn>=0.13.4",
        "visitor>=0.1.3",
        "waitress>=2.0.0",
        "watchdog>=2.1.3",
        "Werkzeug>=2.0.1",
        "WTForms>=2.3.3",
    ],
    extras_require={},
    python_requires=">=3.6,<4",
    entry_points={
        "console_scripts":[
            "navycut=navycut.__main__:_main"
        ]
    },
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Environment :: Web Environment",
        "Framework :: Flask",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: Implementation :: CPython",
        "Programming Language :: Python :: Implementation :: PyPy",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
)